Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?rhel} && 0%{?rhel} < 7
%global argparse 1
%endif

Summary:       Grep-like tool for source code
Name:          grin
Version:       1.2.1
Release:       alt1_19
License:       BSD
URL:           http://pypi.python.org/pypi/grin
Source0:       http://pypi.python.org/packages/source/g/grin/grin-%{version}.tar.gz
Patch0:        grin-1.2.1-argparse.patch
Requires:      python-module-pkg_resources python-module-setuptools
%{?argparse:Requires:      python-base}
BuildArch:     noarch
BuildRequires: python-devel
BuildRequires: python-module-pkg_resources python-module-setuptools
BuildRequires: python-module-nose
Source44: import.info

%description
grin is a similar in function to GNU grep, however it is has modified
behaviour to make it simpler to use when grepping source code.

Some features grin feature are:

  * recurse directories by default
  * do not go into directories with specified names
  * do not search files with specified extensions
  * be able to show context lines before and after matched lines
  * Python regex syntax
  * unless suppressed via a command line option, display the filename 
    regardless of the number of files
  * accept a file (or stdin) with a list of newline-separated filenames
  * grep through gzipped text files
  * be useful as a library to build custom tools quickly

%prep
%setup -q
%patch0 -p1
chmod 0644 examples/*
sed -i -e '1d' grin.py

%build
%python_build

%install
%python_install

%check
nosetests

%files
%doc --no-dereference LICENSE.txt
%doc ANNOUNCE.txt examples LICENSE.txt README.txt THANKS.txt
%{_bindir}/grin
%{_bindir}/grind
%{python_sitelibdir_noarch}/grin.py*
%{python_sitelibdir_noarch}/grin-*-py*.egg-info/

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_19
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_18
- update to new release by fcimport

* Wed Jun 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_17
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_8
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_6
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_5
- initial fc import

